// A/D converter
// by takuya matsubara
#include <avr/io.h>
#include "adc.h"

void ad_init(char chnum)
{
	// ADC Control and Status Register
	ADCSR = ((1<<ADEN)| 6);

	ADMUX = chnum;	//Channel number
}


int ad_get(void)
{
	ADCSR |= (1<<ADIF);
	ADCSR |= (1<<ADSC);
	while((ADCSR & (1<<ADIF))==0){
	}

	return(ADCW);
}
